const createGenerateID = ({ genFunction }) => {
  const idList = []

  const generateID = () => {
    const id = genFunction(idList)
    idList.push(id)
    return id
  }

  return { generateID }
}

module.exports = createGenerateID
